<?php
namespace App\Repositories;

use App\User;

class UserRepository
{
    public function __construct(User $user)
    {
        $this->user = $user;
    }


    public function lists($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');
        if (isset($request['keyword'])) {
            $this->user = $this->user->orderBy('id', 'desc')->where(function ($query) use($request) {
                $query->orWhere('username', 'like', "{$request['keyword']}%")
                    ->orWhere('mobile', 'like', "{$request['keyword']}%");
            });
        }

        return $this->user->paginate($perPage);
    }


}
