<?php

namespace App\Transformers;

use App\Models\ConfigProvince;
use League\Fractal\TransformerAbstract;

class ProvinceTransformer extends TransformerAbstract
{

    public function transform(ConfigProvince $province)
    {
        return [
            'bjcity_id'  => $province['bjcity_id'],
            'parent_id'  => $province['parent_id'],
            'area_name'    => $province['area_name'],
            'level'    => $province['level'],
            'sort'    => $province['sort'],
            'area_code'    => $province['area_code'],
            'city_code'    => $province['city_code'],
            'center'    => $province['center'],
        ];
    }
}