<?php

namespace App\Transformers;

use App\User;
use League\Fractal\TransformerAbstract;

class UserTransformer extends TransformerAbstract
{

    public function transform(User $user)
    {
        return [
            'name'  => $user['username'],
            'mobile'    => $user['mobile'],
            'email' => $user['email'],
            'token' => "Bearer {$user['token']}",
            'token_ttl' => $user['token_ttl']
        ];
    }
}