<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ModifyStatusToTableMessageRule extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE message_rule CHANGE  COLUMN `status` `message_status` TINYINT (4) NOT NULL DEFAULT 0 COMMENT '消息状态:0:未发送，1发送中，2已发送未隐藏，3已发送并隐藏'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('table_message_rule', function (Blueprint $table) {
            //
        });
    }
}
