<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAcitvityTimeToTableMessageRule extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('message_rule', function (Blueprint $table) {
            $table->string('activity_time', 32)
                ->default('')
                ->after('send_time')
                ->comment('活动时间');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('message_rule', function (Blueprint $table) {
            //
        });
    }
}
