<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ModifyShowTypeToTableMessageRule extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE message_rule CHANGE  COLUMN `show_type` `message_show_type` varchar(16) NOT NULL DEFAULT 'only_show' COMMENT '展示类型:only_show纯展示;user用户;post内容;activity活动;topic话题'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('table_message_rule', function (Blueprint $table) {
            //
        });
    }
}
