<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Repositories\SmsRepository;
use App\Transformers\UserTransformer;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(SmsRepository $userRepository)
    {
        //
        $this->userRepository = $userRepository;
    }

    //
    public function index(Request $request)
    {
        $users = $this->userRepository->lists($request->all());
        return $this->response->paginator($users, new UserTransformer());
    }
}
