<?php

namespace App\Transformers;

use App\Models\ConfigPickupNode;
use League\Fractal\TransformerAbstract;

class PickupNodeTransformer extends TransformerAbstract
{

    public function transform(ConfigPickupNode $ConfigPickupNode)
    {
        return [
            'id' => $ConfigPickupNode['id'],
            'city_id' => $ConfigPickupNode['city_id'],
            'city_name' => $ConfigPickupNode['city_name'],
            'name'=> $ConfigPickupNode['name'],
            'address' => $ConfigPickupNode['address'],
            'work_time' => $ConfigPickupNode['work_time'],
            'manager_name' => $ConfigPickupNode['manager_name'],
            'manager_mobile' => $ConfigPickupNode['manager_mobile'],
            'receive_type' => $ConfigPickupNode['receive_type'],
            'longitude' => $ConfigPickupNode['longitude'],
            'latitude' => $ConfigPickupNode['latitude'],
            'store_ids' => $ConfigPickupNode['store_ids'],
            'pickup_group_id' => $ConfigPickupNode['pickup_group_id'],
            'pickup_group_name' => $ConfigPickupNode['pickup_group_name'],
            'status' => $ConfigPickupNode['status'],
            'pickup_code' => $ConfigPickupNode['pickup_code'],
            'created_at' => date($ConfigPickupNode['created_at']),
        ];

    }
}